<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xjrsoft.module.banding.mapper.BandingTaskMajorConditionMapper">
    <select id="getList" parameterType="com.xjrsoft.module.banding.dto.BandingTaskMajorConditionListDto"
            resultType="com.xjrsoft.module.banding.vo.BandingTaskMajorConditionListVo">
        SELECT t1.id, t.id AS major_set_id, t.name AS major_set_name,t1.banding_task_id,t1.height,t1.score, t1.sort_code FROM base_major_set t
        LEFT JOIN banding_task_major_condition t1 ON t1.major_set_id = t.id and t1.banding_task_id = #{dto.bandingTaskId} and t1.delete_mark = 0
        WHERE t.delete_mark = 0
    </select>

</mapper>